#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, i, l;
    scanf("%d", &n);
    scanf("%d", &k);
    int t[n];
    for(i=0; i<n; i++)
        scanf("%d", &t[i]);
    for(i=0; i<n; i++)
    {
        if(t[i]==k)
        {
            if(i==n-1)
                l=t[0];
            else
                l=t[i+1];
        }
    }
    printf("%d",l);
    return 0;
}